Subject: Re: DSA switch

From: Andrew Lunn <[email-masked]>
Date: Thu, 3 May 2018 23:05:45 +0200

> I am using kernel 2.6.37, but I think it is not kernel issue, but more
> bad patches done on kernel.
> It is based on TI's kernel, but with some custom modifications on
> driver's switch, to make it work with TI's cpsw switch.
> Seems like someone made some bad patch, I'll continue investigating it.
> You can ignore the question...
> 
> Many thanks a lot for the help,
> Ran

There is no DSA driver for the cpsw. Are you just using the cpsw to
pass frames to a switch which is supported by DSA?

In theory, mainline CPSW should just work for passing frames to an
external switch. So why not just use mainline?

	 Andrew